meshlab (2020.09+dfsg1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:34 +1100

meshlab (2020.09+dfsg1-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:55:18 +0000

meshlab (2020.09+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Set C++14 explicitly. (Closes: #984232)

 -- Anton Gladky <gladk@debian.org>  Wed, 15 Dec 2021 19:58:20 +0100

meshlab (2020.09+dfsg1-1) unstable; urgency=medium

  * New upstream version 2020.09+dfsg1
    - New plugin: global registration.
    - Closes: #975157
  * d/get-orig-source.sh: Improve
  * d/copyright:
    - Update exclusion lists.
    - Update source location.
    - Update copyright entries.
  * d/control: Add more Build-Depends for new plugins/new deps.
  * d/lintian-override: Override a false positive.
  * Rediff patches.
    - Add 0008-u3d-Use-system-zlib-jpeg-png.patch: Needed for new bundled dep
    - Drop 17_io_u3d.patch: Upstream binary dropped in favor of source, which is
      OK.
    - Drop 0007-Install-icon-to-correct-pixmaps-dir.patch: Incorporated
      upstream.
    - Add 0009-cmake-Search-for-use-Qt5Qml-in-a-more-graceful-absen.patch: Fixes
      build error in absence of qt declarative
    - Add 0010-build-Use-C99-where-available-for-large-file-support.patch: Fixes
      build warning.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Tue, 01 Dec 2020 13:35:09 -0600

meshlab (2020.06+dfsg1-1) unstable; urgency=medium

  [ Ryan Pavlik ]
  * New upstream version 2020.06+dfsg1
  * d/get-orig-source.sh: Look up hash based on release tag
  * d/copyright: Remove outdated entries in Files-Excluded, add new one
  * d/copyright: Update, fix lintian warnings.
  * d/README.source: Update
  * d/NEWS: Create due to upstream deprecation/migration of plugins affecting
    scripts.
  * Refresh patches.
    - Drop 0010-Update-ML_VERSION.patch: Incorporated upstream.
    - Drop 0011-Fix-typos-in-DAE-code.patch: Incorporated upstream.

  [ Anton Gladky ]
  * [796f34f] Add .gitlab-ci.yml
  * [f2e43fe] Use secure URI in Homepage field.
  * [6ce94fb] Set upstream metadata fields: Bug-Submit.

 -- Ryan Pavlik <ryan@ryanpavlik.com>  Mon, 22 Jun 2020 11:25:17 -0500

meshlab (2020.04+dfsg1-1) unstable; urgency=medium

  [ Ryan Pavlik ]
  * New upstream version 2020.04+dfsg1
  * Rediff and revise patches:
    - Add 0010-Update-ML_VERSION.patch: Upstream failed to bump their
      version file.
    - Add 0007-Install-icon-to-correct-pixmaps-dir.patch: Upstreamed
      patch was incomplete.
    - Drop 15_qhull.patch: Applied upstream
    - Drop 21_install-common-to-lib-subdir.patch: Applied upstream
    - Drop 26_fix_filter-screened-poisson.patch: Applied upstream
    - Drop 20_Add-desktop-file.patch: Applied upstream
    - Drop 23_icon-install-path.patch: Applied upstream
    - Drop 24_dont_use_build_date_for_ver.patch: Upstream removed this
      build date usage.
    - Add 0011-Fix-typos-in-DAE-code.patch to fix a lintian warning
  * Update lintian overrides: some fixed in upstream release, some patched in
    Debian.

  [ Gürkan Myczko ]
  * Team upload.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 20 Apr 2020 09:16:30 +0200

meshlab (2020.03+dfsg1-1) unstable; urgency=medium

  [ Ryan Pavlik ]
  * Team upload.
  * New upstream version 2020.03+dfsg1. (Closes: #886580, #954092)
  * Exclude additional files pointed out by lintian.
  * Move exclusion documentation to README.source.
  * d/*: Don't use the compile date to compute the version.
  * d/watch: Update
  * d/patches: Add 25_fix_signed_char_table.patch to fix arm64, s390x, etc.
    builds
  * d/patches: Add 26_fix_filter-screened-poisson.patch from upstream to fix
    license status of filter_screened_poisson
  * d/patches: Add 27_Remove-more-__date__-usages.patch to remove more usages
    of __DATE__
  * d/rules:
    - Enable all hardening but one (format-security) to fix build.
    - Use /usr/share/dpkg/pkg-info.mk to get version string.
    - Force building with system libs.
    - Clean cme's compat file creation.
    - Adjust how build flags are set.
  * d/control:
    - Add Rules-Requires-Root: no
    - Change build dependency to libqt5opengl5-desktop-dev to disable
      armel/armhf build, due to GLES/OpenGL incompatibility. (Closes: #953062)
    - Remove unused Build-Depends left over from long ago.
    - add ryan@ryanpavlik.com to Uploaders
  * debian: copyright scan meta-files
  * debian/copyright:
    - force reorder by cme
    - Manual updates
    - Exclude non-DFSG-free PLY library.
    - Partial updates using cme
    - Fix paths, add exclusion list for repack, make more complete
  * d/meshlab.lintian-overrides: Update/fix
  * d/source: Add linitian-overrides
  * Add README.Debian
  * Make license names unique.
  * debian/get-orig-source.sh: Add a small script to generate orig.tar.gz
  * debian/README.source: Update to reflect usage of get-orig-source.sh
  * debian/docs: Install readme and privacy doc.
  * debian/patches: Retrieve patches from historical packages, refresh.
  * debian/patches/17_io_u3d.patch: Disable an export format broken by our
    repack.
  * debian/patches/18_structuresynth_license.patch: Add license to sources.
  * debian/patches/17_io_u3d.patch: Update description, mention bug.
    (Closes: #629171)
  * debian/patches/19_disable-filter_screened_poisson.patch: Disable plugin
    with DFSG-nonfree deps
  * debian/patches/03_disable-updates.patch: Refresh
  * debian/patches: Add 20_Add-desktop-file.patch to fix CMake install
  * debian/patches: Add 21_install-common-to-lib-subdir.patch (Closes: #951904)
  * debian/patches: Add 22_find-plugins.patch
  * debian/patches: Add 23_icon-install-path.patch
  * debian: Use CMake-provided install rather than picking from build dir,
    which resolves issues with RPATH.

  [ Gürkan Myczko ]
  * Use upstream manpages, drop debian/*.1
  * Reformat d/changelog.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sat, 21 Mar 2020 18:35:13 +0100

meshlab (2020.02+git200217-1) unstable; urgency=medium

  * Team upload.
  * Add myself to Uploaders.
  * New upstream version. (Closes: #910660, #946685, #875041)
  * debian/patches: lost+notfound.
  * Update Vcs fields.
  * Bump standards version to 4.5.0.
  * Bump debhelper version to 12.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 17 Feb 2020 14:52:55 +0100

meshlab (1.3.2+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with GCC 7 (Closes: #853545)
  * Update upstream homepage and debian/watch
  * Switch to debhelper 10
  * Bump Standards-Version to 4.0.1, no further changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 08 Aug 2017 14:56:50 +0200

meshlab (1.3.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 6, thanks Gert Wollny. (Closes: #811634)
  * Fix narrowing conversion on architectures where
    char is unsigned by default.
  * Set Maintainer field to Debian Science Maintainers.
  * Use secure URIs for VCS fields.
  * Remove debian/menu, see #741573.
  * Bump Standards-Version to 3.9.8, no further changes.
  * Use eye64.png as the icon instead of meshlab_32x32.xpm.

 -- Graham Inggs <ginggs@debian.org>  Mon, 21 Nov 2016 16:02:07 +0200

meshlab (1.3.2+dfsg1-2) unstable; urgency=low

  * Install plugin XML files under src/distrib/plugins.
  * Update Standards-Version to 3.9.5.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 07 Nov 2013 16:32:03 +0100

meshlab (1.3.2+dfsg1-1) unstable; urgency=low

  * New upstream version (closes: #693649)
  * Repackaged dfsg-sources remove copies of glew-1.7.0, OpenCTM-1.0.3,
    Eigen3, etc. See debian/copyright for details.
  * Add libGLU to LIBS in meshlab.pro. Fixes an FTBFS in Ubuntu.
    Thanks to Ilya Barygin for the fix. Closes: #678312.
  * New patches:
    - overflow: Fix overflowing array index in VCGlib,
      also fixes E-array-bounds error in Debian build log scanner
    - openctm: Use Debian OpenCTM
    - format-security: Fix compilation errors with -Werror=format-security
    - crash-on-save: Fix crash on project save. Patch from upstream
      SVN commit [r6114] (closes: #718583).
  * Add a lintian-override file. Override hardening-no-fortify-functions
    in meshlab plugins.
  * Add shared-mime-info data for media types supported by meshlab.
    Also, add the supported types meshlab.mime mailcap file and
    meshlab.desktop file, to enable file manager open file support.
    (closes LP: #1077620)
  * watch: Fix dversionmangle regex
  * copyright: Update
  * control:
    - Upgrade to standards-version 3.9.4
    - Build-dep on libopenctm-dev, libeigen3-dev
    - Add Recommends to chemical-mime-data to get more supported media types
  * rules:
    - Clean clean target.
    - get CXXFLAGS from dpkg-buildflags for QMAKE_CXXFLAGS.
    - Remove jhead makefile in clean target.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 08 Oct 2013 00:34:58 +0200

meshlab (1.3.0a+dfsg1-3) unstable; urgency=low

  * rules:
    - Add get-orig-source target.
    - Add build-arch and build-indep targets as recommended by lintian.
    - Use dpkg-buildflags to give flags to qmake.
  * copyright:
    - Use the latest machine readable copyright format.
    - Point to versioned GPLv2 in common-licenses (fixes a lintian warning).
    - Remove copyright info for removed gdb macros.
  * control: Upgrade to standards-version 3.9.3.
  * Upgrade to debhelper version 9.
  * New patches:
    - 14_structuresynth: Include glu.h where needed in included
      structure-synth code.
    - 15_gcc47: Fix FTBFS with GCC-4.7 (closes: #667276).
      Thanks to Matej Vela for the patch.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 14 Jun 2012 15:59:55 +0200

meshlab (1.3.0a+dfsg1-2) unstable; urgency=low

  * rules: Use linux-g++ as qmake spec (fixes FTBFS with qt4 > 4.7).
  * New patches:
    - 12_ply_numeric: Set LC_NUMERIC to "C" in main().
      Thanks to Luka Frelih for the patch. Closes: #623361.
    - 13_cstddef: Include <cstddef> on files using offsetoff
      (closes: #625053).

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 12 May 2011 12:17:16 +0200

meshlab (1.3.0a+dfsg1-1) unstable; urgency=low

  * New upstream version (closes: #618522)
  * Repackage the upstream sources to get rid of some files with questionable
    licensing information and useless libraries, see the copyright file for
    details.
  * Builds with GCC-4.5 (closes: #565034)
  * Fix watch-file to work with new upstream names and dfsg source
    (closes: #582477)
  * Require debhelper version 8 or above.
  * control:
    - Update standards-version to 3.9.1, cleanup.
    - Remove build-dep to libgl-dev to fix a lintian warning about a
      build-dep to a virtual package.
    - Remove build-dep to asciidoc, add build-dep to libeigen2-dev.
  * rules:
    - Remove manpage-related code.
    - Build the necessary code from meshlab/src/external. Also clean it.
    - Override dh_shlibdeps to include /usr/lib/meshlab in search path.
    - Don't install shader licenses.
  * install: Install binaries from meshlab/src/distrib.
  * copyright: Update to the latest DEP5 format, document changes due to
    source repackaging and add the copyright info for the files added in
    this upstream release.
  * Hardcode shadersDir and pluginDir in upstream source to locations
    in the Debian binary package.
  * Use source format '3.0 (quilt)'.
  * Split changes affecting upstream code to branches in the git repository
    at git.d.o. Add DEP3 patch metadata headers to debian/metapatches and
    generate patches from git branches with gdp (http://gitorious.org/gdp).
    Current patches:
    - 01_muparser: Use Debian muparser.
    - 02_qhull: Use Debian qhull.
    - 03_lib3ds: Use Debian lib3ds.
    - 04_libbz2: Use Debian libbz2.
    - 05_glew: Use Debian GLEW.
    - 06_eigen: Use Debian Eigen.
    - 07_disable-updates: Disable checking for updates on startup.
    - 08_externals: Only build necessary external sources.
    - 09_rpath: Use /usr/lib/meshlab as RPATH in binaries.
    - 10_shadersdir: Hardcode shadersDir to the correct path in Debian
    - 11_pluginsdir: Hardcode pluginsDir to the correct path in Debian
  * Add a README.source file documenting the patch generation.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 28 Mar 2011 17:54:11 +0200

meshlab (1.2.2-3) UNRELEASED; urgency=low

  * control: Add Build-dep to libgl-dev
  * Disable checking for updates on startup (LP: #652145)
  * io_u3d.cpp: Use correct IDTFConverter path under Linux.
  * export_u3d.h: Add hyperref package to LaTeX output,
    makes pdflatex compilation work correctly in Debian.

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 03 Mar 2011 11:28:01 +0100

meshlab (1.2.2-2) unstable; urgency=low

  * Add a watch file
  * Call a2x with -L switch to avoid use of xmllint (closes: #556824)

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 18 Nov 2009 18:36:11 +0100

meshlab (1.2.2-1) unstable; urgency=low

  * New upstream version
  * Do not build filter_isoparametrization because liblevmar dependency
    is not (yet) in Debian
  * Fix compilation with gcc-4.4, thanks to Jonathan Liu for the patch
    (closes: #539544)
  * rules: Add compiler variables to the qmake call (for testing with new
    GCC versions)
  * io_3ds.pro: Make LIBS and INCLUDEPATH point to Debian version of lib3ds
  * io_epoch.pro: Make LIBS point to Debian version of libbz2
  * control:
    - Move Homepage URL to the source package section
    - Update to standards-version 3.8.3

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 08 Oct 2009 16:40:41 +0200

meshlab (1.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Patch upstream source to build with Debian versions of GLEW,
    qhull, lib3ds, libbz2, muparser
  * rules:
    - Add build-deps to libqhull-dev, libmuparser-dev
    - Build asciidoc manpages from meshlab/docs with a2x
  * install: Do not install textures
  * copyright: Update

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 27 May 2009 18:07:15 +0200

meshlab (1.2.0-1) UNRELEASED; urgency=low

  * New upstream version
  * Add a debian/manpages file
  * Add xpm icons
  * Add a .desktop file
  * Fix plugin and shader paths to Debian standards
  * control:
    - Build-dep and compat to debhelper v7
    - Upgrade to standards-version 3.8.1
  * install:
    - Install rendermonkey shaders
    - Install plugins to /usr/lib/meshlab/plugins
    - Install .desktop file and icons
  * rules: clean up and simplify with dh

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 30 Apr 2009 16:08:53 +0200

meshlab (1.1.1-2) UNRELEASED; urgency=low

  * Add manpages for meshlab and meshlabserver
  * Add build-dep to asciidoc, xsltproc, docbook-xsl, libqt4-opengl-dev
  * copyright: convert to machine readable format
  * control: change section to graphics. Add Vcs-Browser and Vcs-Git
    fields pointing to git.debian.org
  * rules: call distclean instead of clean in the clean target, simplify
  * Upload to unstable (closes: #426581)

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 15 May 2008 22:39:13 +0300

meshlab (1.1.1-1) UNRELEASED; urgency=low

  * New upstream version

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 14 Apr 2008 17:27:20 +0200

meshlab (1.1.1~b20080308-0) UNRELEASED; urgency=low

  * Import new upstream beta release
  * Disable checking for updates and usage statistics reporting

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 17 Mar 2008 12:35:05 +0100

meshlab (1.1.0-1) UNRELEASED; urgency=low

  * New upstream version
  * Reorganize source tree to match the upstream release tarball:
    meshlab sources are under meshlab/ and vcg library under sf/
  * Change call to qmake to qmake-qt4 in debian/rules
  * Add versioned dependency to lib3ds-dev (>= 1.3.0)
  * Build with Debian libGLEW
  * Fix .install to match files in new version
  * Hardcode plugin and shader directories for Debian build
  * Upstream-type fixes:
    - Create ui_painttoolbox.h during build
    - Fix private variable access in render_rm

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 01 Feb 2008 15:31:32 +0100

meshlab (1.1.0~b~cvs20070528-1) UNRELEASED; urgency=low

  * Initial release

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat,  2 Jun 2007 20:29:02 +0200
